<manifest version="1.0" type="device" target-level="4">
    <hal format="hidl">
        <name>android.hardware.audio</name>
        <transport>hwbinder</transport>
        <version>5.0</version>
        <interface>
            <name>IDevicesFactory</name>
            <instance>default</instance>
        </interface>
   </hal>
   <hal format="hidl">
        <name>android.hardware.audio.effect</name>
        <transport>hwbinder</transport>
        <version>5.0</version>
        <interface>
            <name>IEffectsFactory</name>
            <instance>default</instance>
        </interface>
   </hal>
   <hal format="hidl">
        <name>android.hardware.soundtrigger</name>
        <transport>hwbinder</transport>
        <version>2.0</version>
        <interface>
            <name>ISoundTriggerHw</name>
            <instance>default</instance>
        </interface>
    </hal>
<!--
    <hal format="hidl">
        <name>android.hardware.bluetooth.a2dp</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IBluetoothAudioOffload</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung_slsi.hardware.ExynosA2DPOffload</name>
        <transport>hwbinder</transport>
        <version>2.0</version>
        <interface>
            <name>IExynosA2DPOffload</name>
            <instance>default</instance>
        </interface>
    </hal>
-->
    <hal format="hidl">
        <name>android.hardware.media.omx</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IOmx</name>
            <instance>default</instance>
        </interface>
        <interface>
            <name>IOmxStore</name>
            <instance>default</instance>
        </interface>
    </hal>
	<hal format="hidl">
		<name>android.hardware.graphics.allocator</name>
		<transport>hwbinder</transport>
		<version>2.0</version>
		<interface>
			<name>IAllocator</name>
			<instance>default</instance>
		</interface>
	</hal>
	<hal format="hidl">
		<name>android.hardware.graphics.mapper</name>
		<transport arch="32+64">passthrough</transport>
		<version>2.1</version>
		<interface>
			<name>IMapper</name>
			<instance>default</instance>
		</interface>
	</hal>
	<hal format="hidl">
		<name>android.hardware.graphics.composer</name>
		<transport>hwbinder</transport>
		<version>2.3</version>
		<interface>
			<name>IComposer</name>
			<instance>default</instance>
		</interface>
	</hal>
   <hal format="hidl">
        <name>android.hardware.gatekeeper</name>
        <transport>hwbinder</transport>
        <impl level="generic"></impl>
        <version>1.0</version>
        <interface>
            <name>IGatekeeper</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>android.hardware.camera.provider</name>
        <transport>hwbinder</transport>
        <impl level="generic"></impl>
        <version>2.4</version>
        <interface>
            <name>ICameraProvider</name>
            <instance>legacy/0</instance>
        </interface>
    </hal>

    <hal format="hidl">
        <name>vendor.samsung_slsi.hardware.ExynosHWCServiceTW</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IExynosHWCServiceTW</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>android.hardware.neuralnetworks</name>
        <transport>hwbinder</transport>
        <version>1.3</version>
        <interface>
            <name>IDevice</name>
            <instance>eden-drv</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>android.hardware.memtrack</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IMemtrack</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>android.hardware.dumpstate</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IDumpstateDevice</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>android.hardware.keymaster</name>
        <transport>hwbinder</transport>
        <impl level="generic"></impl>
        <version>4.0</version>
        <interface>
            <name>IKeymasterDevice</name>
            <instance>default</instance>
            <instance>strongbox</instance>
        </interface>
     </hal>
	<hal format="hidl">
		<name>android.hardware.renderscript</name>
		<transport arch="32+64">passthrough</transport>
		<version>1.0</version>
		<interface>
			<name>IDevice</name>
			<instance>default</instance>
		</interface>
	</hal>
    <hal format="hidl">
        <name>android.hardware.drm</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>ICryptoFactory</name>
            <instance>default</instance>
        </interface>
        <interface>
            <name>IDrmFactory</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>android.hardware.configstore</name>
        <transport>hwbinder</transport>
        <version>1.1</version>
        <interface>
            <name>ISurfaceFlingerConfigs</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>android.hardware.power</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IPower</name>
            <instance>default</instance>
        </interface>
    </hal>
    <!--
    <hal format="hidl">
        <name>android.hardware.tetheroffload.config</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IOffloadConfig</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>android.hardware.tetheroffload.control</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IOffloadControl</name>
            <instance>default</instance>
        </interface>
    </hal>
    -->
    <hal format="hidl" optional="true">
        <name>android.hardware.thermal</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <version>2.0</version>
        <interface>
            <name>IThermal</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>android.hardware.usb</name>
        <transport>hwbinder</transport>
        <version>1.1</version>
        <interface>
            <name>IUsb</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>android.hardware.sensors</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>ISensors</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung_slsi.hardware.epic</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IEpicRequest</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>android.hardware.health</name>
        <transport>hwbinder</transport>
        <version>2.0</version>
        <interface>
            <name>IHealth</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>vendor.trustonic.tee</name>
        <transport>hwbinder</transport>
	<version>1.1</version>
	<interface>
	    <name>ITee</name>
	    <instance>default</instance>
	</interface>
    </hal>
    <hal format="hidl">
        <name>vendor.trustonic.tee.tui</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
	    <name>ITui</name>
	    <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung_slsi.hardware.geoTransService</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IGeoTransService</name>
            <instance>default</instance>
        </interface>
        <fqname>@1.0::IGeoTransService/default</fqname>
    </hal>
    <hal format="hidl">
	<name>android.hardware.wifi.hostapd</name>
	<transport>hwbinder</transport>
	<version>1.0</version>
	<interface>
	    <name>IHostapd</name>
	    <instance>default</instance>
	</interface>
    </hal>
</manifest>
